[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: Priority list of Debian packages to port?

Svante Signell, le Sun 20 Mar 2011 14:24:56 +0100, a écrit :
> On Sun, 2011-03-20 at 13:35 +0100, Michael Banck wrote:
> > On Sun, Mar 20, 2011 at 01:25:28PM +0100, Svante Signell wrote:
> > > Sorry for asking again, but I cannot find the mail containing
> > > information on packages to port to GNU/Hurd. Where is it?
> > 
> > There is no such list AFAIK, however, the #hurd channel on freenode has
> > a "porters wanted" list in its topic, the current list is:
> > 
> > gdb=7.1(7.0 is ok)
> Looks like 7.2-1 is the latest version,

Yes. Whether trying to fix 7.1 or directly 7.2 depends on how difficult
that'll be (who knows whether 7.2 might actually be even more broken
than 7.1, so it'd be easier to fix 7.1 first)

> for hurd we have 7.2-1+b1 built
> on 12 Oct 2010.

We also have a 7.2-1+really~7.0.1~2 build on debian-ports, so people
have a working 7.0 version.

> This version has a problem though, see bug #579834 from
> 30 April 2010 containing a patch from 27 Nov 2009 and reported by Thomas
> Schwinge on 10 May 2010. (Patch tag added by yourself on 21 Aug 2010).
> However this patch does not seem to be applied by the DM yet.

They should be pushed upstream too.

> > squid,openjdk-6,
> Why are these packages important? 
> squid: The list of rdepends is not especially long.

It used to be, maybe we can drop it now.

> openjdk-6: This package might be more interesting.


> > ghc7
> Can only find ghc6.

ghc7 is not there yet indeed.

> Why is Haskell support of large interest?

Because a very large number of packages depend on it, including very
useful tools like darcs.

> > gnat
> Seems to be up to date: On sid version 4.4+1 is available for all
> architectures (no gnat for experimental)

That's just the meta-package, and it's not installable. The actual
packages (gnat-*) are not built.


Reply to: